#ifndef VIVALDI_H
/* $Id: vivaldi.h,v 1.5 2005/11/23 17:21:16 jonathan Exp $
 * Jonathan Ledlie, Harvard University.
 * Copyright 2005.  All rights reserved.
 */

#define VIVALDI_H

#include <math.h>
#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include <assert.h>
#ifdef LINUX
#include <getopt.h>
#endif
#include <sys/types.h>
#include <unistd.h>
#include <iostream>
#include <vector>
#include <deque>
#include <map>
#include <algorithm>
#include "math_util.h"

using namespace::std;

extern bool USE_CONFIDENCE;
extern bool USE_HEIGHT;
extern int DIMENSIONS;
extern int PING_HISTORY_COUNT;
extern double INITIAL_VECTOR_VALUE;
extern double INITIAL_WEIGHTED_ERROR;
extern double PING_SAMPLE_PERCENTILE;
extern int APP_VECTOR_HISTORY_TIME;
extern bool debug;
extern int MIN_HISTORY_COUNT;

#define Rand() drand48()
#define SRand(c) srand48(c)

#endif
